MKL.h File Reference
`#include "SparseMatrix.h"`

Go to the source code of this file.

## Namespaces

| paso

## Macros

#define | ES_PARDISO pardiso
#define | ES_MKL_INT MKL_INT
#define | MKL_ERROR_NO 0
#define | MKL_MTYPE_REAL_SYM -2
#define | MKL_MTYPE_REAL_UNSYM 11
#define | MKL_REORDERING_MINIMUM_DEGREE 0
#define | MKL_REORDERING_NESTED_DISSECTION 2
#define | MKL_REORDERING_NESTED_DISSECTION_OMP 3
#define | MKL_PHASE_SYMBOLIC_FACTORIZATION 11
#define | MKL_PHASE_FACTORIZATION 22
#define | MKL_PHASE_SOLVE 33
#define | MKL_PHASE_RELEASE_MEMORY -1

## Functions

void | paso::MKL_free (SparseMatrix *A)
void | paso::MKL_solve (SparseMatrix_ptr A, double *out, double *in, index_t reordering, dim_t numRefinements, bool verbose)

## Macro Definition Documentation

## ES_MKL_INT

#define ES_MKL_INT MKL_INT

Referenced by paso::MKL_free(), and paso::MKL_solve().

## ES_PARDISO

#define ES_PARDISO pardiso

Referenced by paso::MKL_free(), and paso::MKL_solve().

## MKL_ERROR_NO

#define MKL_ERROR_NO 0

Referenced by paso::MKL_free(), and paso::MKL_solve().

## MKL_MTYPE_REAL_SYM

#define MKL_MTYPE_REAL_SYM -2

## MKL_MTYPE_REAL_UNSYM

#define MKL_MTYPE_REAL_UNSYM 11

Referenced by paso::MKL_free(), and paso::MKL_solve().

## MKL_PHASE_FACTORIZATION

#define MKL_PHASE_FACTORIZATION 22

Referenced by paso::MKL_solve().

## MKL_PHASE_RELEASE_MEMORY

#define MKL_PHASE_RELEASE_MEMORY -1

Referenced by paso::MKL_free().

## MKL_PHASE_SOLVE

#define MKL_PHASE_SOLVE 33

Referenced by paso::MKL_solve().

## MKL_PHASE_SYMBOLIC_FACTORIZATION

#define MKL_PHASE_SYMBOLIC_FACTORIZATION 11

Referenced by paso::MKL_solve().

## MKL_REORDERING_MINIMUM_DEGREE

#define MKL_REORDERING_MINIMUM_DEGREE 0

Referenced by paso::MKL_solve().

## MKL_REORDERING_NESTED_DISSECTION

#define MKL_REORDERING_NESTED_DISSECTION 2

Referenced by paso::MKL_solve().

## MKL_REORDERING_NESTED_DISSECTION_OMP

#define MKL_REORDERING_NESTED_DISSECTION_OMP 3

Referenced by paso::MKL_solve().